Attachments

List attachments

GET
/orgs/{organizationId}/attachments

Lists attachments with filtering, sorting, and pagination.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""size""mimeType""storageType""s3Folder""s3Key""previewS3Key""commentId""taskId""inboxMessageId""eventLogId""meterReadingId""createdById""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
commentId?string|array<string>|null
taskId?string|array<string>|null
inboxMessageId?string|array<string>|null
eventLogId?string|array<string>|null
meterReadingId?string|array<string>|null
createdById?string|array<string>|null
storageType?|array<>|
size?number||
createdAt?|null
updatedAt?|null
mimeType?string|array<string>|
s3Folder?string|array<string>|
s3Key?string|array<string>|
previewS3Key?string|array<string>|
hasComment?boolean|string|number|null
hasNoComment?boolean|string|number|null
hasTask?boolean|string|number|null
hasNoTask?boolean|string|number|null
hasInboxMessage?boolean|string|number|null
hasNoInboxMessage?boolean|string|number|null
hasEventLog?boolean|string|number|null
hasNoEventLog?boolean|string|number|null
hasMeterReading?boolean|string|number|null
hasNoMeterReading?boolean|string|number|null
hasCreatedBy?boolean|string|number|null
hasNoCreatedBy?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/attachments'
null